com.streambase.sb

## Enum NowImplementation

- java.lang.Object
- - java.lang.Enum<NowImplementation>
  - - com.streambase.sb.NowImplementation

- All Implemented Interfaces:
    Serializable, Comparable<NowImplementation>

      public enum NowImplementation
      extends Enum<NowImplementation>

  See `com.streambase.sb.expr.op.CNowOp` in the server code for details on using these values
  Since:
    7.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMPL_SYSTEM` call System.currentTimeMillis() directly
    `IMPL_THREAD` use a background thread that only checks every few milliseconds
    `IMPL_TIME_SERVICE` use the current time service from the module runtime context

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLegacyName()`
    `int` | `getValue()`
    `boolean` | `isLegacyNameEqual(String legacyName)`
    `static NowImplementation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NowImplementation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMPL_SYSTEM

          public static final NowImplementation IMPL_SYSTEM

      call System.currentTimeMillis() directly

    - #### IMPL_THREAD

          public static final NowImplementation IMPL_THREAD

      use a background thread that only checks every few milliseconds

    - #### IMPL_TIME_SERVICE

          public static final NowImplementation IMPL_TIME_SERVICE

      use the current time service from the module runtime context

  - ### Method Detail

    - #### values

          public static NowImplementation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NowImplementation c : NowImplementation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NowImplementation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getLegacyName

          public String getLegacyName()

    - #### isLegacyNameEqual

          public boolean isLegacyNameEqual(String legacyName)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.